@Ifndef lib_KB
  @Include "lib_KB.inc"
@Endif

@Ifndef KANA2
@Define KANA2 KANA2

function KKANA2(ACC_11,ACC_12)
{
GetCFLD();

ACC_12 = 0;

if(isALL(CFLD, " "))
  return;
for(ACC_11 = FLNTH - 1 ; ACC_11 >= 0 ; ACC_11--)
{
  if(KMID(CFLD, 1, 1, ACC_11) != " ")
    break;
}
for(; ACC_11 >= 0 ; ACC_11--)
{
  if(KMID(CFLD, 1, 1, ACC_11) == " ")
    ACC_12++;
}

if(KMID(CFLD, 1) == " ")
    MsgBox("姓名間1SPです!!", "KKANA2");
else if(ACC_12 > 1)
    MsgBox("姓名間1SPです!!", "KKANA2");
else if(ACC_12 == 0)
    MsgBox("姓名間1SP必須です!!", "KKANA2");
else
  return;

BKSP_FLD();
return;
}

@Endif
